# Win32DebugAppender.cpp File Reference

`#include "PortabilityImpl.hh"`
`#include <windows.h>`
`#include <winbase.h>`
`#include <stdio.h>`
`#include "log4cpp/Category.hh"`
`#include "log4cpp/Win32DebugAppender.hh"`
`#include <log4cpp/FactoryParams.hh>`
`#include <memory>`

Include dependency graph for Win32DebugAppender.cpp:

## Namespaces

namespace | log4cpp

## Functions

std::auto_ptr< Appender > | log4cpp::create_win32_debug_appender (const FactoryParams &)